Atualiza um departamento buscando por seu id
curl --request PATCH \
--url https://api.example.com/departamentos/{departamentoId} \
--header 'Content-Type: application/json' \
--data '
{
"nome": "Desenvolvimento",
"unidadeNegocioId": "c9f447fe-f97f-4f24-974d-9f92eb3049dc"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
nome: 'Desenvolvimento',
unidadeNegocioId: 'c9f447fe-f97f-4f24-974d-9f92eb3049dc'
})
};
fetch('https://api.example.com/departamentos/{departamentoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/departamentos/{departamentoId}"
payload = {
"nome": "Desenvolvimento",
"unidadeNegocioId": "c9f447fe-f97f-4f24-974d-9f92eb3049dc"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/departamentos/{departamentoId}"
payload := strings.NewReader("{\n \"nome\": \"Desenvolvimento\",\n \"unidadeNegocioId\": \"c9f447fe-f97f-4f24-974d-9f92eb3049dc\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"nome": "Desenvolvimento",
"codigo": 5,
"departamentoId": "c9f447fe-f97f-4f24-974d-9f92eb3049dc",
"createdAt": "2026-05-11T13:08:56.570Z",
"updatedAt": "2026-05-11T13:08:56.570Z",
"unidadeNegocio": {
"unidadeNegocioId": "1b88e4f3-04bf-4185-b782-9211e4b6bca4",
"nome": "Pontua Matriz",
"numeroCadastro": "12345678912"
}
}Departamento
Atualiza um departamento buscando por seu id
PATCH
/
departamentos
/
{departamentoId}
Atualiza um departamento buscando por seu id
Path Parameters
ID da Departamento
Body
application/json
Valores para atualização
Response
Departamento Atualizado
ID referente ao departamento
Example:
"c9f447fe-f97f-4f24-974d-9f92eb3049dc"
Nome do departamento
Example:
"Desenvolvimento"
Código do departamento
Example:
5
Unidade de negócio do departamento
Show child attributes
Show child attributes
Data de criação
Example:
"2026-05-11T13:08:56.559Z"
Data de update
Example:
"2026-05-11T13:08:56.559Z"